package com.mint.mintdemo.utils.pull_to_refresh

const val STATE_IDLE = 1
const val STATE_REFRESH = 2
const val STATE_LOAD_MORE = 3

interface PullToRefreshDataLoader<T> {

    fun onRefresh(controller: PullToRefreshViewController<T>): Boolean

    fun onLoadMore(controller: PullToRefreshViewController<T>): Boolean
}